// ## Теоретичні питання

// 1. Опишіть своїми словами як працює метод forEach.
    //Метод forEach з параметром функції виконує функцію для кожного елементу масиву, крім порожніх елементів.
// 2. Як очистити масив?
    //Присвоїти його властивості length значення 0
// 3. Як можна перевірити, що та чи інша змінна є масивом?
    //Array.isArray
// ## Завдання

// Реалізувати функцію фільтру масиву за вказаним типом даних. Завдання має бути виконане на чистому Javascript без використання бібліотек типу jQuery або React.

// #### Технічні вимоги:

// - Написати функцію `filterBy()`, яка прийматиме 2 аргументи. Перший аргумент - масив, який міститиме будь-які дані, другий аргумент - тип даних. 
// - Функція повинна повернути новий масив, який міститиме всі дані, які були передані в аргумент, за винятком тих, тип яких був переданий другим аргументом. Тобто якщо передати масив ['hello', 'world', 23, '23', null], і другим аргументом передати 'string', то функція поверне масив [23, null].


// #### Література:

// - [Масиви з числовими індексами](http://learn.javascript.ru/array)
// - [Масив: перебираючі методи](http://learn.javascript.ru/array-iteration)
// - [Шість типів даних, typeof](https://learn.javascript.ru/types-intro)
const filterBy = (arr, type) => {
    let newArray = arr.filter(item=>typeof item !== type)
    return newArray
}

console.log(filterBy(['hello', 'world', 23, '23', null],'number'))